diff --git a/e-bin.sh b/e-bin.sh
index bd45307..9423ab4 100644
--- a/e-bin.sh
+++ b/e-bin.sh
@@ -82,7 +82,7 @@ install_bot() {
     local arch
     arch=$(get_arch)
     local output="ellie-new"
-    local tar_url="https://toastielab.dev/EllieBotDevs/elliebot/releases/download/${version}/ellie-${arch}.tar.gz"
+    local tar_url="https://toastielab.dev/toastie_t0ast/elliebot/releases/download/${version}/ellie-${arch}.tar.gz"
 
     [[ $arch == "unsupported" ]] && { echo "${RED}ERROR: Unsupported architecture${NC}" >&2; return 1; }
 
@@ -131,7 +131,7 @@ install_submenu() {
     local versions
 
     # get versions from /refs/tags github endpoint
-    mapfile -t versions < <(curl -s https://toastielab.dev/api/v1/repos/EllieBotDevs/elliebot/git/refs/tags | grep -oP '"ref": "refs/tags/\K[^"]+')
+    mapfile -t versions < <(curl -s https://toastielab.dev/api/v1/repos/toastie_t0ast/elliebot/git/refs/tags | grep -oP '"ref": "refs/tags/\K[^"]+')
 
     echo "${CYAN}Select version to install:${NC}"
     select version in "${versions[@]}"; do
@@ -204,7 +204,7 @@ run_bot() {
 }
 
 install_music_dependencies() {
-    curl -L -o e-musicreq.sh https://toastielab.dev/EllieBotDevs/ellie-bash-installer/raw/branch/v5/e-prereq.sh || {
+    curl -L -o e-musicreq.sh https://toastielab.dev/toastie_t0ast/ellie-bash-installer/raw/branch/v6/e-prereq.sh || {
         echo "ERROR: Failed to download the music dependencies installer"
         return 1
     }
diff --git a/e-install.sh b/e-install.sh
index 66971f9..7aae46d 100644
--- a/e-install.sh
+++ b/e-install.sh
@@ -5,7 +5,7 @@ echo "Downloading the latest installer..."
 root=$(pwd)
 
 rm "$root/e-bin.sh" 1>/dev/null 2>&1
-curl -L -o "$root/e-bin.sh" https://toastielab.dev/EllieBotDevs/ellie-bash-installer/raw/branch/v6/e-bin.sh
+curl -L -o "$root/e-bin.sh" https://toastielab.dev/toastie_t0ast/ellie-bash-installer/raw/branch/v6/e-bin.sh
 
 bash e-bin.sh
 cd "$root"